@echo off

:update
set HWID=04A3

set BIOSREV=1018
set BBLKREV=1018

if exist check.exe goto IDCHECK
@echo Invalid update program
goto END

:IDCHECK
check /r=%HWID% /i=MID.DAT /s=IAM /g=%BIOSREV% /b=%BBLKREV% /n=4 BIOS.WPH > nul
if errorlevel 255 goto UNKNOWN
if errorlevel  32 goto ERROR
if errorlevel  31 goto MIDERR
if errorlevel  30 goto HWIDERR
if errorlevel  29 goto ERROR
if errorlevel  12 goto ERROR
if errorlevel  11 goto BBFLASH
if errorlevel  10 goto FLASH
if errorlevel   9 goto ERROR
if errorlevel   3 goto ERROR
if errorlevel   2 goto SAME
if errorlevel   1 goto DOWN
if errorlevel   0 goto FLASH
goto END


:UNKNOWN
:ERROR
@echo BIOS data Unmatched!!
goto END

:HWIDERR
@echo System Type Unmatched !!
goto END

:MIDERR
@echo Invalid BIOS data
goto END

:UPDTERR
@echo BIOS upadte tool Unmatched !!
goto END

:SAME
@echo BIOS update has already done.
@echo Please take out BIOS update media and reboot.
goto END

:DOWN
@echo This BIOS is NEW. Don't need BIOS update.
goto END

:FLASH
@echo.
@echo The update process will take approximately 4 to 5 minutes.
@echo DO NOT power off the system during this update process.
@echo.
@echo If the machine is being operated remotely (Console Less models),
@echo the screen may appear not to be updated during the update process.
@echo But this is no problem.
@echo When the BIOS update is completed, the screen is restarted to update.
@echo.
pause
@echo Now reading BIOS update tool ...

:phlashup
phlash16 /mode=3 bios.wph

goto END

:BBFLASH
@echo.
@echo The update process will take approximately 4 to 5 minutes.
@echo DO NOT power off the system during this update process.
@echo.
@echo If the machine is being operated remotely (Console Less models),
@echo the screen may appear not to be updated during the update process.
@echo But this is no problem.
@echo When the BIOS update is completed, the screen is restarted to update.
@echo.
pause
@echo Now reading BIOS update tool(overwrite BootBlock) ...

:bbphlash
phlash16 /BBL /mode=3 bios.wph

goto END


:END
